--- title: "Integration of the Registration and Deregistration of a FIDO-Based Authenticator" slug: "oca-ig-integrate-registration-and-deregistration-fido-based-authenticator" updated: 2025-07-04T10:09:40Z published: 2025-07-08T14:14:51Z canonical: "docs.onespan.com/oca-ig-integrate-registration-and-deregistration-fido-based-authenticator" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.onespan.com/llms.txt > Use this file to discover all available pages before exploring further. # Integration of the Registration and Deregistration of a FIDO-Based Authenticator Before you can use FIDO-based authentication for OneSpan Cloud Authentication, a FIDO authenticator must be registered for the UAF or FIDO2 protocol. For information about deregistration and authenticator management, see [Management of FIDO authenticators](/sec/docs/oca-ig-management-of-fido-authenticators). Prerequisites for the registration of a FIDO-based authenticator The following prerequisites must be met before the registration process can be started: - The user must exist in the OneSpan Trusted Identity platform. - The user must be authenticated against OneSpan Cloud Authentication and logged in with the app. ![](https://cdn.document360.io/038f59a7-abd0-4c14-9de7-3434d28b49fd/Images/Documentation/fido_reg.png?sv=2026-02-06&spr=https&st=2026-11-14T06%3A48%3A08Z&se=2026-11-14T07%3A48%3A08Z&sr=c&sp=r&sig=Zky8s8XxbXUy5w7GU56lV1IeL1laiersNj1pye8CBLE%3D) FIDO-based authenticator registration flow Sequence of registering a FIDO-based authenticator 1. The app starts the registration process. This triggers the web server to initiate the registration to the OneSpan Trusted Identity platform API by calling the [POST /users/{userID@domain}/generate-fido-registration-request](https://community.onespan.com/products/onespan-cloud-authentication/sandbox#/FIDO Registrations/generateFidoRegistrationRequest) endpoint. 2. The OneSpan Trusted Identity platform API initializes the registration with the FIDO Server. 3. The FIDO Server generates a registration response that is sent to the OneSpan Trusted Identity platform API. 4. The OneSpan Trusted Identity platform API receives the registration request and sends it to the web server. 5. The web server forwards the request to the app. 6. The app communicates with the FIDO authenticator to generate a registration response. 7. The app forwards the registration response to the web server, which forwards the response to the OneSpan Trusted Identity platform API by calling the [POST /users/{userID@domain}/register-fido-device](https://community.onespan.com/products/onespan-cloud-authentication/sandbox#/FIDO Registrations/registerFidoDeviceUserUsingPOST) endpoint. 8. The OneSpan Trusted Identity platform API finalizes the registration with the FIDO Server. 9. The FIDO Server verifies the registration response that is sent to the OneSpan Trusted Identity platform API. 10. The OneSpan Trusted Identity platform API receives the success response and sends it to the web server. 11. To conclude the registration process, the web server sends this verification response to the app. The FIDO authenticator is now registered and ready to be used for passwordless authentication. To register a FIDO-based authenticator 1. Issue a registration request with [POST /users/{userID@domain}/generate-fido-registration-request](https://community.onespan.com/products/onespan-cloud-authentication/sandbox#/FIDO Registrations/generateFidoRegistrationRequest). - Payload: - fidoProtocol: UAF11, FIDO2 - displayName (FIDO2 only) - authenticatorSelection (FIDO2 only) - (Optional) authenticatorAttachment: platform, cross-platform - userVerification: required, preferred, discouraged - requireResidentKey: true, false - attestation: none, indirect, direct (FIDO2 only) - Response body: - registrationRequest - requestID (FIDO2 only) - uafStatusCode For a full list of UAF status codes, refer to the [FIDO alliance documentation](https://fidoalliance.org/specs/fido-uaf-v1.0-ps-20141208/fido-uaf-client-api-transport-v1.0-ps-20141208.html#uaf-status-codes). For FIDO2, this field will return null. 2. Issue a register fido device request with [POST /users/{userID@domain}/register-fido-device](https://community.onespan.com/products/onespan-cloud-authentication/sandbox#/FIDO Registrations/registerFidoDeviceUserUsingPOST). - Payload: - fidoProtocol: UAF11, FIDO2 - registrationResponse - requestID (FIDO2 only) - Response body: - uafStatusCode For a full list of UAF status codes, refer to the [FIDO alliance documentation](https://fidoalliance.org/specs/fido-uaf-v1.0-ps-20141208/fido-uaf-client-api-transport-v1.0-ps-20141208.html#uaf-status-codes). For FIDO2, this field will return null.